GET /v1/blocks

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • user_id (string) —
  • brand_id (string) required

Responses

200 Blocked user IDs for the viewer

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "data"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

403 Forbidden

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/blocks \
  -H "Authorization: Bearer $ACCESS_TOKEN"